#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n;
    cin>>n;
    vector<int> a(n);
    vector<int> pref(n+1);
    int i;
    pref[0]=0;
    for(i=0;i<n;i++){
        cin>>a[i];
        pref[i+1]=pref[i]+a[i];
    }
    int k;
    cin>>k;
    int pozicija,dinari;
    int l,r,s;
    while(k--){
        cin>>pozicija>>dinari;
        dinari+=pref[pozicija];
        l=pozicija-1;
        r=n;
        while(l<r-1){
            s=(l+r)/2;
            if(pref[s+1]<=dinari){
                l=s;
            }
            else{
                r=s;
            }
        }
        cout<<(l-(pozicija-1))<<endl;
    }
    return 0;
}
